Subject: Error message while running make check

From: Sören Jonsson <[email-masked]>
Date: Tue, 30 Apr 2019 17:26:15 +0200

Hello,

I'm working on building guile 2.2.4 for Cygwin/Windows. I have now 
resolved a couple of library issues, and have run into a problem while 
running the make check tests.

Environment:

    Cygwin

    $ gcc --version
    gcc (GCC) 7.4.0
    Copyright © 2017 Free Software Foundation, Inc.

    guile-2.2.4

    gc-8.0.4

Error message:

    PASS: test-extensions
    /bin/sh: line 5: 42231 Segmentation fault      (core dumped)
    top_srcdir="../.." srcdir="." builddir="."
    CHARSETALIASDIR="/tmp/guile-2.2.4/lib" GUILE_AUTO_COMPILE=0
    "../../meta/build-env" ${dir}$tst
    FAIL: test-with-guile-module.exe
    PASS: test-scm-with-guile.exe
    Backtrace:
                2 (apply-smob/1 #<catch-closure 700001adcc0>)
    In ice-9/threads.scm:
         147:6  1 (call-with-new-thread #<catch-closure 700001adc40> _)
    In unknown file:
                0 (%call-with-new-thread #<procedure 7000019f980 at ice-9?>)

    ERROR: In procedure %call-with-new-thread:
    Function not implemented
    PASS: test-scm-spawn-thread.exe
    Warning: Unwind-only `stack-overflow' exception; skipping pre-unwind
    handler.
    Warning: Unwind-only `stack-overflow' exception; skipping pre-unwind
    handler.
    PASS: test-pthread-create.exe
    SKIP: test-pthread-create-secondary.exe

Analysis:

    This is the only error message I get while running make check. The
    system tend to hang on some random test, but after a cntrl-C reports
    that one out of 36 tests failed. I do not know enough about your
    tests to be able to diagnose this.

Best regards,

-- 
Sören Jonsson
Kärnvägen 237
906 27 UMEÅ
SWEDEN
Tel: 090-180 339, 070-603 3896